<app-loading *ngIf="isLoading"></app-loading>
<div class="app-card">
  <div class="container-fluid" nz-col nzSpan="24">
    <div class="form">
      <div nz-row class="form-row">
        <div nz-col nzSm='12' nzLg='7' class="form-row__left">
          <input nz-input class="form-row__input" placeholder="{{'common.label.search' | translate}}" [(ngModel)]="username" trim
                 (keyup.enter)="searchSession($event)" />
          <mb-button class="button-search" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="searchSession($event)" mbButtonAvailableStyle="SEARCH"
                     mbButtonText="{{'common.label.search' | translate}}"></mb-button>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="app-list">
  <nz-table class='data-table'
    #sessionTable
    [nzData]="listSession"
    nzSize='small'
    [nzShowPagination]="false"
    [nzPageSize]='listSession.length'
    [nzScroll]="listSession.length > 7 ? { y: '530px' } : {}"
  >
    <thead>
      <tr class='table-header'>
        <th scope="col" class='text-nowrap text-center' nzWidth="50px" nzLeft='0'>{{ 'system.sessionMng.table.label.stt' | translate }}</th>
        <th scope="col" class='text-nowrap'>{{ 'system.sessionMng.table.label.username' | translate }}</th>
        <th scope="col" class='text-nowrap'>{{ 'system.sessionMng.table.label.ipaddress' | translate }}</th>
        <th scope="col" class='text-nowrap'>{{ 'system.sessionMng.table.label.time' | translate }}</th>
        <th scope="col" class='text-nowrap text-center' *ngIf="objFunction.cancel"  nzWidth="100px" nzRight='0'></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of sessionTable.data; let i = index; trackBy: trackByFn" class='row-table'>
        <td class='text-nowrap text-center' nzWidth="50px" nzLeft='0'>
          {{
            !isSearch
              ? i + 1 + paginationCustom.size * paginationCustom.pageIndex
              : i + 1 + pageableSession.size * (pageableSession.currentPage - 1)
          }}
        </td>
        <td>{{ data.username }}</td>
        <td>{{ data.ipAddress }}</td>
        <td>{{ data.start | date: 'dd-MM-yyyy HH:mm' }}</td>
        <td *ngIf="objFunction.cancel"  nzWidth="100px" nzRight='0'>
          <button
            class="button-action"
            nz-tooltip
            nzTooltipTitle="Hủy"
            nz-button
            (click)="cancleSession(data.id)"
          >
            <em nz-icon nzType="login" nzTheme="outline"></em>
          </button>
        </td>
      </tr>
    </tbody>
  </nz-table>
</div>
<div class="pagination" *ngIf="!isSearch; else elseTplPageable">
  <div class="pagination__table-info">
    <img class="pagination__table-info--icon" alt="" src="assets/images/icon/idea.svg" />
    <span class="pagination__table-info--text"
      >Tìm thấy {{ paginationCustom.totalElements }} kết quả, hiển thị từ
      {{ paginationCustom.size * paginationCustom.pageIndex + 1 }} đến
      {{ paginationCustom.size * paginationCustom.pageIndex + paginationCustom.numberOfElements }}</span
    >
  </div>
  <nz-pagination
    [nzPageIndex]="paginationCustom.pageIndex + 1"
    (nzPageIndexChange)="changePage($event)"
    [nzTotal]="paginationCustom.totalElements"
    [nzPageSize]="paginationCustom.size"
  ></nz-pagination>
</div>
<ng-template #elseTplPageable>
  <div class="pagination__table-info">
    <img class="pagination__table-info--icon" alt="" src="assets/images/icon/idea.svg" />
    <span class="pagination__table-info--text">
      Tìm thấy {{ pageableSession.totalElements }} kết quả, hiển thị từ
      {{ pageableSession.size * (pageableSession.currentPage - 1) + 1 }} đến
      {{ pageableSession.size * (pageableSession.currentPage - 1) + this.listSession.length }}
    </span>
  </div>
  <nz-pagination
    [(nzPageIndex)]="pageableSession && pageableSession.currentPage"
    [nzTotal]="pageableSession.totalElements"
    [nzPageSize]="pageableSession.size"
    (nzPageIndexChange)="changePage($event)"
    class="pagination__icon"
  >
  </nz-pagination>
</ng-template>
